extends Control

var _load_scene = "res://random_scene.tscn"
var _percent = []

func _ready():
	set_process(false)

func load_scene_interactive(use_sub_threads = false) -> void:
	ResourceLoader.load_threaded_request(_load_scene, "", use_sub_threads, ResourceLoader.CACHE_MODE_IGNORE)
	print("*** load started ***\n")
	var _status = ResourceLoader.load_threaded_get_status(_load_scene, _percent)
	print("stating values:")
	print("status: ", _status)
	print("percent: ", _percent)
	print("=========================")
	set_process(true)

func _process(delta):
	var _status = ResourceLoader.load_threaded_get_status(_load_scene, _percent)
	print("*** In _process ***")
	print("status: ", _status)
	print("percent: ", _percent)
	if _status == ResourceLoader.THREAD_LOAD_LOADED:
		print("actual scene: ", ResourceLoader.load_threaded_get(_load_scene))
		print("*** load finished ***\n")
		print("=========================")
		_status = ResourceLoader.load_threaded_get_status(_load_scene, _percent)
		print("status: ", _status)
		print("percent: ", _percent)
		set_process(false)

func _on_button_button_up():
	load_scene_interactive()
